Subject: Re: bug#21394: 25.0.50; Segfault when displaying unprintable character in echo area while frames are being created
From: Eli Zaretskii <[email-masked]>
To: Pip Cet <[email-masked]>
Cc: [email-masked]
Date: Sat, 05 Sep 2015 11:12:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 2 Sep 2015 16:08:08 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked]
> 
> On Wed, Sep 2, 2015 at 3:16 PM, Eli Zaretskii <[email-masked]> wrote:
> 
>     > This patch appears, so far, to run without a segfault
>     
> No segfault overnight.
> 
>     Can you please verify that when the (unmodified) code does segfault,
>     the offending face ID is indeed stored in
>     last_escape_glyph_merged_face_id? I'd like to be sure we have really
>     found the source of that face ID.
> 
> It is, indeed, and last_escape_glyph_frame also equals it->f.
> 
> Revised patch attached.

Thanks, I pushed it with a few minor changes.

I'm closing this bug.  feel free to reopen if something else emerges
that needs to be taken care of.